<?php

$Locale = QUI::getLocale();


/**
 * Emotion
 */
QUI\Utils\Site::setRecursivAttribute($Site, 'image_emotion');

// Inhalts Verhalten
if ($Site->getAttribute('templatePresentation.showTitle') ||
    $Site->getAttribute('templatePresentation.showShort')
) {
    $Template->setAttribute('content-header', false);
}

$BricksManager = \QUI\Bricks\Manager::init();

/**
 * Template config
 */
$settings = QUI\TemplateWhoIAm\Utils::getConfig([
    'Project'       => $Project,
    'Site'          => $Site,
    'Template'      => $Template,
    'BricksManager' => $BricksManager
]);

$settings['BricksManager'] = $BricksManager;


/**
 * body class
 */
$bodyClass       = '';
$layoutStartPage = false;

switch ($Template->getLayoutType()) {
    case 'layout/startPage':
        $bodyClass       = 'start-page';
        $layoutStartPage = true;
        break;

    case 'layout/noSidebar':
        $bodyClass = 'no-sidebar';
        break;

    case 'layout/noSidebarSlim':
        $bodyClass = 'no-sidebar-slim';
        break;
}

$settings['bodyClass']       = $bodyClass;
$settings['layoutStartPage'] = $layoutStartPage;

$Engine->assign($settings);
